image: debian/stable
packages:
  - build-essential
  - git
  - elixir
  - erlang
sources:
  - git@git.broccoli.town:dp/wish
tasks:
  - setup: |
      cd wish
      mix local.hex --force
      mix local.rebar --force
      mix deps.get
  - test: |
      cd wish
      # mix test
  - deploy: |
      if [ $GIT_REF = "refs/heads/ci" ]; then
        curl -L https://fly.io/install.sh | sh
        export FLYCTL_INSTALL="/home/build/.fly"
        export PATH="$FLYCTL_INSTALL/bin:$PATH"

        cd wish
        flyctl deploy
      else
        echo "nothing to do"
      fi
